# Define some meta-data about the simulation
MetaData:
  run_name:   Planck-Millennium simulation - 384^3

# Define the system of units to use internally. 
InternalUnitSystem:
  UnitMass_in_cgs:     1.98848e43    # 10^10 M_sun
  UnitLength_in_cgs:   3.08567758e24 # 1 Mpc
  UnitVelocity_in_cgs: 1e5           # 1 km/s
  UnitCurrent_in_cgs:  1             # Amperes
  UnitTemp_in_cgs:     1             # Kelvin

# Planck-13 cosmology
Cosmology:
  h:              0.6777
  a_begin:        0.02     # z_ini = 49
  a_end:          1.0      # z_end = 0
  Omega_cdm:      0.2587481     # Cold Dark Matter density parameter
  Omega_lambda:   0.693         # Dark-energy density parameter
  Omega_b:        0.0482519     # Baryon density parameter

# Parameters governing the time integration
TimeIntegration:
  dt_min:     1e-6 
  dt_max:     1e-2 

Scheduler:
  max_top_level_cells: 16
  cell_split_size:     200

# Parameters governing the snapshots
Snapshots:
  basename:            PMill
  output_list_on:      1
  output_list:         ./output_list.txt
  
# Parameters governing the conserved quantities statistics
Statistics:
  delta_time:          1.02
  scale_factor_first:  0.02
  
# Parameters for the self-gravity scheme
Gravity:
  eta:                    0.025
  MAC:                    adaptive
  theta_cr:               0.7
  epsilon_fmm:            0.001
  comoving_DM_softening:     0.08333  # 83.333 kpc = 1/25 mean inter-particle separation
  max_physical_DM_softening: 0.08333  # 83.333 kpc = 1/25 mean inter-particle separation
  mesh_side_length:       128
  
# Parameters related to the initial conditions
InitialConditions:
  file_name:                   PMill-384.hdf5
  periodic:                    1
  cleanup_h_factors:           1    
  cleanup_velocity_factors:    1  
